﻿using Microsoft.EntityFrameworkCore;

namespace CodeMagEFCoreAPI
{
  public class BookContext:DbContext
  {
    public BookContext(DbContextOptions<BookContext> options) : base(options)
    {

    }
    public DbSet<Author> Authors { get; set; }
    public DbSet<Book> Books { get; set; }

    protected override void OnModelCreating(ModelBuilder modelBuilder)
    {
      modelBuilder.Entity<Author>().HasData
        (new Author { AuthorId = 1, Name = "Steve Roberts" },
        new Author { AuthorId = 2, Name = "Norm Johansen" },
        new Author { AuthorId = 3, Name = "Josh Hurley" }
        );

     
        modelBuilder.Entity<Book>().HasData
        (new Book { BookId = 1, Title = "Getting Started with the AWS Tools for PowerShells",AuthorId=1},
        new Book { BookId = 2, Title = "AWS CodeBuild Test Reporting with .NET Core", AuthorId = 2 },
       new Book { BookId = 3, Title = "Deploying an ASP.NET Core App to Elastic Beanstalk", AuthorId = 3 }
     );


      base.OnModelCreating(modelBuilder);
    }
  }
}
